package com.njcn.mapper.advanced;

import com.njcn.pojo.advanced.EventAssObj;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

public interface RangeMapper {
    // 范围分析获取归一化处理的暂降事件
    List<EventAssObj> queryEventsByTime(@Param("startTime") Date startTime, @Param("endTime") Date endTime, @Param("list") List<String> list);

    // 更新范围查看记录
    void updatebRangeByGUID(String indexEventAss);

    List<String> getEventAssIndex(@Param("list") List<Integer> list, @Param("start") Date start, @Param("end") Date end);
}
